Bug 224923 - net-im/mikutter: fails to start after rubygem-twitter-text update
Summary: net-im/mikutter: fails to start after rubygem-twitter-text update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: TAKATSU Tomonari
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-05 05:15 UTC by Koichiro Iwao
Modified: 2018-01-25 02:42 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (tota)


Attachments
patch (1.31 KB, text/plain)
2018-01-05 05:15 UTC, Koichiro Iwao
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2018-01-05 05:15:32 UTC
Created attachment 189426 [details]
patch

Upstream issue: https://dev.mikutter.hachune.net/issues/1130

After recent update of rubygem-twitter-text to 2.1.0, mikutter fails to start.
The issue can be found in upstream bug tracker. There're some solutions:

* Update mikutter to 3.6.0
* Apply attached patch obtained from upstream
Comment 1 Koichiro Iwao freebsd_committer 2018-01-05 05:16:58 UTC
swills@, just FTY, I've added you to CC list as you updated textproc/rubygem-twitter-text.
Comment 2 commit-hook freebsd_committer 2018-01-24 10:37:22 UTC
A commit references this bug:

Author: tota
Date: Wed Jan 24 10:36:46 UTC 2018
New revision: 459826
URL: https://svnweb.freebsd.org/changeset/ports/459826

Log:
  - Update RUN_DEPENDS
  - Add the patch to fix the mikutter issue 1130
  - Make portlint happy

  Submitted by:	Koichiro IWAO <meta+ports_AT_vmeta_DOT_jp>
  PR:		224923
  MFH:		2018Q1

Changes:
  head/net-im/mikutter/Makefile
  head/net-im/mikutter/files/patch-core_mui_gtk__postbox.rb
Comment 3 commit-hook freebsd_committer 2018-01-24 10:39:26 UTC
A commit references this bug:

Author: tota
Date: Wed Jan 24 10:38:50 UTC 2018
New revision: 459827
URL: https://svnweb.freebsd.org/changeset/ports/459827

Log:
  - Update to 3.6.0

  Submitted by:	Koichiro IWAO <meta+ports_AT_vmeta_DOT_jp>
  PR:		224923

Changes:
  head/net-im/mikutter/Makefile
  head/net-im/mikutter/distinfo
  head/net-im/mikutter/files/patch-core_mui_gtk__postbox.rb
  head/net-im/mikutter/files/patch-mikutter.rb
  head/net-im/mikutter/pkg-plist
Comment 4 commit-hook freebsd_committer 2018-01-25 02:34:39 UTC
A commit references this bug:

Author: tota
Date: Thu Jan 25 02:34:12 UTC 2018
New revision: 459903
URL: https://svnweb.freebsd.org/changeset/ports/459903

Log:
  MFH: r459826

  - Update RUN_DEPENDS
  - Add the patch to fix the mikutter issue 1130
  - Make portlint happy

  Submitted by:	Koichiro IWAO <meta+ports_AT_vmeta_DOT_jp>
  PR:		224923

  Approved by:	ports-secteam (swills)

Changes:
_U  branches/2018Q1/
  branches/2018Q1/net-im/mikutter/Makefile
  branches/2018Q1/net-im/mikutter/files/patch-core_mui_gtk__postbox.rb
Comment 5 TAKATSU Tomonari freebsd_committer 2018-01-25 02:42:02 UTC
Committed. Thanks!